Main Page Packages Class Hierarchy Compound List File List Compound Members

# textsplittextnomodificationallowederr Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| textsplittextnomodificationallowederr (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "splitText(offset)" method raises a NO_MODIFICATION_ALLOWED_ERR DOMException if the node is readonly.

Obtain the children of the THIRD "gender" element. The elements content is an entity reference. Get the element content of the FIRST Text Node of the entity reference and execute the "splitText(offset)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-38853C1D , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-38853C1D')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-38853C1D

Definition at line 49 of file textsplittextnomodificationallowederr.java.

## Constructor & Destructor Documentation

textsplittextnomodificationallowederr::textsplittextnomodificationallowederr | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file textsplittextnomodificationallowederr.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00052                                      {
    00053
    00054       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00055 DocumentBuilderSetting.notExpandEntityReferences
    00056         };
    00057         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00058         setFactory(testFactory);
    00059
    00060    }

## Member Function Documentation

String textsplittextnomodificationallowederr::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 90 of file textsplittextnomodificationallowederr.java.
    00090                                 {
    00091       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/textsplittextnomodificationallowederr";
    00092    }

void textsplittextnomodificationallowederr::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 93 of file textsplittextnomodificationallowederr.java. References DOMTestCase::doMain().
    00093                                           {
    00094         DOMTestCase.doMain(textsplittextnomodificationallowederr.class,args);
    00095    }

void textsplittextnomodificationallowederr::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 62 of file textsplittextnomodificationallowederr.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00062                                                     {
    00063       Document doc;
    00064       NodeList genderList;
    00065       Node gender;
    00066       Node entRef;
    00067       Node entElement;
    00068       Node entElementText;
    00069       Text splitNode;
    00070       doc = load("staff");
    00071       genderList = doc.getElementsByTagName("gender");
    00072       gender = genderList.item(2);
    00073       entRef = gender.getFirstChild();
    00074       entElement = entRef.getFirstChild();
    00075       entElementText = entElement.getFirstChild();
    00076
    00077         {
    00078                 boolean success = false;
    00079                 try {
    00080                         splitNode = ((Text)/*Node*/entElementText).splitText(2);
    00081
    00082                 }
    00083                 catch(DOMException ex) {
    00084                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00085                 }
    00086                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00087         }
    00088
    00089    }

The documentation for this class was generated from the following file:

- textsplittextnomodificationallowederr.java